Subject: RE: [nemo] Re: Sub-optimal Terminology

From: "Pascal Thubert \(pthubert\)" <[email-masked]>
Date: Thu, 17 Nov 2005 11:05:17 +0100

Hi Thierry:

Note that there's a word for multiangular, I think it's polygone :)

Pascam

>-----Original Message-----
>From: [email-masked] [mailto:[email-masked]] On Behalf Of
Thierry Ernst
>Sent: Thursday, November 17, 2005 10:52 AM
>To: ml-nemo
>Subject: [nemo] Re: Sub-optimal Terminology
>
>
>
>My take on this issue:
>
>1. I would like to add the agreed term in draft terminology. I've added
>an issue A28, see http://www.sfc.wide.ad.jp/~ernst/nemo/
>
>2. Several terms have been listed and here is my summary:
>
>- sub-optimal routing: very generic
>- triangular / dog-leg routing: very specific (MIP6 scenario)
>- multi-angular
>- pin-ball routing is inappropriate
>- telescopic: why not periscope ? ;-)
>- nested-tunnel
>
>I think that:
>- if no term is required to describe what happen in a nested NEMO, we
>should stick to something generic i.e. "sub-optimal routing". If we
what
>something in line with the term usually used in MIP6 scenario
>(triangular), I would vote for "multi-angular". If we need something
>that doesn't describe what happens to the route, but rather to the
>tunnel inefficiencies, I would vote for "nested tunnel".
>
>On the overall, I would vote for "multi-angular" and if needed I would
>add a 2nd term "nested tunnels".
>
>For a 1st April RFC, I would vote for "Periscope" ;-)
>Thierry.
>
>
>
>
>
>
>
>On Tue, 8 Nov 2005 17:27:05 +0100
>"Pascal Thubert \(pthubert\)" <[email-masked]> wrote:
>
>>
>>
>> >-----Original Message-----
>> >From: Christophe Janneteau
[mailto:[email-masked]]
>> >Sent: Tuesday, November 08, 2005 5:08 PM
>> >To: Pascal Thubert (pthubert)
>> >Cc: Alexandru Petrescu; Masafumi Watari; IETF NEMO WG; T.J. Kniveton
>> >Subject: Re: Sub-optimal Terminology (was Re: [nemo]Re: I-D
>> ACTION:draft-ietf-nemo-ro-problem-
>> >statement-01.txt)
>> >
>> >
>> >Pascal Thubert (pthubert) wrote:
>> >> There is a topological view, where pinball routing and
>> >multi-angular
>> are
>> >> contenders, and there is a tunnel view, for which we'd need a term
>> like
>> >> telescopic or something. Any idea?
>> >>
>> >
>> >Hi,
>> >
>> >Is the term "nested tunnels" not the one we used to use?
>> [<PT>] Yes, it is.
>>
>> But that term, like suboptimal, is very generic.
>>
>> Now we are considering RO and finding more specific terms which would
>> be more uniquely associated to our problem would be nice, but if we
>> don't, I agree we have a default.
>>
>> It could be also useful to distinguish when one side ends multiple
>> layers of tunneling, like a HA does if you form a nested structure of
>> MRs that depend on that same HA.
>>
>> Any idea?
>>
>> Pascal